﻿/**********************************************************/
/*                Code by: Sam Wronski                    */
/*             email: runewake2@gmail.com                 */
/* Distributed under the Microsoft Public License (Ms-PL) */
/**********************************************************/
/*     https://gamejolttrophies.codeplex.com/license      */
/**********************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace GameJoltAPI.RoamingStorage
{
    /// <summary>
    /// The IRoamingStorageData class is used for storing serialized data
    /// on GameJolt servers using RoamingStorage.
    /// 
    /// You may inherit this class to extend it for additional uses.
    /// For example storing a control scheme, user stats and more.
    /// </summary>
    [JsonObject()]
    public interface IRoamingStorageData
    {
    }
}
