﻿/**********************************************************/
/*                Code by: Sam Wronski                    */
/*             email: runewake2@gmail.com                 */
/* Distributed under the Microsoft Public License (Ms-PL) */
/**********************************************************/
/*     https://gamejolttrophies.codeplex.com/license      */
/**********************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameJoltAPI
{
    public class UserNotAuthenticatedException : Exception
    {
        public string Message
        {
            get
            {
                return "You must Authenticate the current user before " +
                "you use other methods of the API.\n\n" +
                "If you need help authenticating your users, " +
                "please consult the CodePlex site at: " +
                "https://gamejolttrophies.codeplex.com/";
            }
        }
        public UserNotAuthenticatedException()
        {
        }
    }
}
